精华内容
下载资源
问答
  • 游戏编辑每天的日常工作是做什么的 管理论坛,版主 收集资料,整理游戏资料 了解游戏 制作资料,发布文章资料!游戏编辑需要什么条件 .对游戏的热爱 .对攻略需求点的敏锐 .快速响应 .小小的行文逻辑与标点 ....

    什么什么游戏编辑
    就是通过制作,整理游戏资料,游戏攻略,为玩家提供游戏的技巧,传递游戏资讯,总结经验,让玩家知道的更多,玩的更爽,玩家游戏轻松上手;

    游戏编辑每天的日常工作是做什么的
    管理论坛,版主
    收集资料,整理游戏资料
    了解游戏
    制作资料,发布文章资料!

    游戏编辑需要什么条件
    .对游戏的热爱
    .对攻略需求点的敏锐
    .快速响应
    .小小的行文逻辑与标点
    .文学写作水平不做要求

    在很多的玩家心中,游戏专区编辑肯定是个游戏高手,游戏操作很好,其实这是一种误解,大部分游戏编辑都只是理论游戏玩家,对游戏的理论很熟悉;大部分游戏编辑根本没有时间玩游戏,包括下班时间如果你发现某个游戏编辑上班上了游戏,那肯定是上游戏去找某个资料的;当然其中也不缺高手。
    也有人会认为,游戏编辑肯定需要文笔比较好,能写文章。但是实际并不是;游戏编辑其实很少自己亲手写资料,写攻略,游戏编辑要做的事情就是整理修改玩家的投稿和文章!就好像杂志编辑一样,很少自己写东西,都是修改别人的东西和给出意见;
    游戏攻略和文章不同于其他的文学作品,在互联网文化下,攻略将就的是图文并茂,言简意赅不要啰嗦!攻略不要长篇大论,讲究的是条理清晰,句子短,段落短,配合图片做说明,适合玩家能跳跃性阅读!

    接下来,我来举个例子说说饼子以前在多玩的日常一天的工作
    早上上班,一般是9点半-10点,
    打开游戏论坛,按发帖时间排序,把从前一天晚上玩家发的帖子都打开扫一遍,给新注册的用户加分,
    给回帖数小于5贴的帖子回复一遍,尤其是给零回复的帖子回复一遍,顺便发在版主群里面号召版主给发主题的用户回帖表示支持;
    对于比较好的帖子或者值得鼓励的帖子加分 加色,加精操作,特别好的适合推送到专区的帖子整理好排版,图片发布到专区。
    对于帮助别的玩家,提供资料,解答问题的玩家加好人分奖励;
    对提出疑问的帖子进行详细回答,在乎每一个新手玩家,小白玩家和伸手玩家!
    对论坛没有打水印的图片都重新手动打一次水印
    以上操作都是扫论坛,以为寻找每天要发布到专区的文章数量,从提问的玩家中了解玩家的需求动态,游戏的热门动态。
    碰到热门的论坛,这个时候推到专区的文章就差不多有个好几篇了,专门每天更新要求是10-15片,但是自己网站还不够怎么办?
    这个时候就去看竞争对手的网站173,178网站看看他们更新了什么东西,自己没有发过的转载过来,这个时候还没有凑够要求更新的数量,就得自己找资料写了
    一般到这个时候,基本就是中午吃饭时间;中午吃好饭,群里跟版主聊聊天,玩家群里了解下游戏动态和玩家动态。
    下午开始继续工作,这个时候大约是下午1点半;
    开始整理玩家帮忙收集的资料,事先在资料员群里收集发布资料收集,指定要收集的资料,将图片资料整理打成文字版放进html排版
    基本是一周出一个资料专题或者事件,副本之类专题。但是往往都是提前几个月确定好的专题,比如技能资料,来源,物品掉落来源,资源分布 这种基础性的专题资料,做成相关成套的资料。
    整理到excel或者文本之后,就把它做成html专题页面,为了加快进度,不分心,基本就是关掉qq,不参与qq群聊天,因为随便qq打几个字就导致任务完不成!
    这个时候就是一个下午了!

    下班继续逛论坛,整理相关资料!

    这个时候就要问了,你们连游戏不玩,怎么做资料啊!其实每个游戏基本都是套路差不多,需求点差不多,像我当初剑网3的时候,第一次内测10级,第二测到了30级,遇到不懂的比较细节型的就可以找版主问,和游戏玩家群里要截图!
    如果没有玩家帮忙收集资料,就得自己去收集了,下次讲收集资料
    ·游戏功内测,限量测试,公测,时间怎么收集资料
    .专题资料,攻略文章怎么收集资料


    觉得深度不够,还想了解更多 可以提问评论或者群里反馈!
    实习编辑苦力待召唤群 329733756

    展开全文
  • 客户这种要求,就是复制word文档中有文字、表格、图片到网页编辑器中,在页面上呈现的效果也不会出现排版上的错乱,和原本在word上这只的格式、排版都一样。 我知道这种需要特殊定制,但是格式的上的只能复制到...
  • 前面几节讲了图片上画线 这一节 我们简单讲一讲 给图片上添加文字的方法 我们继续使用上节...首先我们将添加文字的View单独抽象出现实现 创建一个类 继承自UIView 起名: AddText 定义一个协议 当输入完成之后 将内

    前面几节讲了图片上画线

    这一节 我们简单讲一讲 给图片上添加文字的方法 我们继续使用上节的代码(代码下载地址见上节末尾   http://blog.csdn.net/lwjok2007/article/details/50887396

    首先我们将添加文字的View单独抽象出现实现

    创建一个类 继承自UIView

    起名: AddText

    定义一个协议 当输入完成之后 将内容返回给ViewController

    #import <UIKit/UIKit.h>
    
    
    @protocol EditTextDelegate <NSObject>
    
    -(void)ADDTextWithText:(NSString *)TEXT;
    
    @end
    
    
    @interface AddText : UIView
    
    
    @property(nonatomic,strong)id<EditTextDelegate>delegate;
    
    @end


    实现AddText

    #import "AddText.h"
    
    @implementation AddText
    
    
    - (instancetype)initWithFrame:(CGRect)frame
    {
        self = [super initWithFrame:frame];
        if (self) {
            self.userInteractionEnabled = YES;
            self.backgroundColor = [UIColor whiteColor];
            [self initUserInterface];
        }
        return self;
    }
    
    //添加控件
    - (void)initUserInterface{
        //取消按钮
        UIButton *btnCancel = [UIButton buttonWithType:UIButtonTypeCustom];
        btnCancel.frame = CGRectMake(5, 5, 60, 30);
        [btnCancel setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [btnCancel addTarget:self action:@selector(cancelAct) forControlEvents:UIControlEventTouchUpInside];
        [btnCancel setTitle:@"取消" forState:UIControlStateNormal];
        [self addSubview:btnCancel];
        
        
        //确认按钮
        UIButton *btnSubmit = [UIButton buttonWithType:UIButtonTypeCustom];
        btnSubmit.frame = CGRectMake(self.frame.size.width-65, 5, 60, 30);
        [btnSubmit setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [btnSubmit addTarget:self action:@selector(submitAct) forControlEvents:UIControlEventTouchUpInside];
        [btnSubmit setTitle:@"确定" forState:UIControlStateNormal];
        [self addSubview:btnSubmit];
        
        //分割线
        UILabel *labe = [[UILabel alloc]initWithFrame:CGRectMake(0, 40, self.frame.size.width, 1)];
        labe.backgroundColor = [UIColor brownColor];
        [self addSubview:labe];
        
        //输入框
        UITextView *textView = [[UITextView alloc]initWithFrame:CGRectMake(0, 45,self.frame.size.width , self.frame.size.height-120)];
        textView.tag = 600;
        textView.font = [UIFont systemFontOfSize:20];
        textView.backgroundColor = [UIColor cyanColor];
        [self addSubview:textView];
    }
    
    - (void)cancelAct{
        
        [self removeFromSuperview];
    }
    
    - (void)submitAct{
        
        UITextView *textView = (UITextView *)[self viewWithTag:600];
        [self.delegate ADDTextWithText:textView.text];
        [self removeFromSuperview];
    }


    接下来 我们给ViewController添加一个按钮 点击按钮之后会打开AddText界面

        
        UIButton *addTextBtn= [[UIButton alloc]initWithFrame:CGRectMake(screen_Width/2.0+60+10, 60, 120, 36)];
        [addTextBtn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [addTextBtn setTitle:@"文字" forState:UIControlStateNormal];
        [addTextBtn addTarget:self action:@selector(addTextAct:) forControlEvents:UIControlEventTouchUpInside];
        [self.view addSubview:addTextBtn];


    //添加文字按钮事件
    - (void)addTextAct:(id)sender{
        
        AddText *editText = [[AddText alloc]initWithFrame:CGRectMake(60, 120, screen_Width-120, screen_Width*2/3)];
        editText.tag = 650;
        editText.delegate = self;
        [self.view addSubview:editText];
        
    }


    实现AddText的代理 方法获取到值之后显示到图片上

    同时我们要求 文字的位置可以随意挪动。

    同时 还有文字的放大 旋转等 大家自己研究一下

    #pragma mark 增加文字代理方法
    - (void)ADDTextWithText:(NSString *)TEXT
    {
        UILabel *textlabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 0, 200, 360)];
        textlabel.tag = 900;
        textlabel.lineBreakMode = 0;
        textlabel.font = [UIFont systemFontOfSize:25];
        textlabel.text = TEXT;
        [textlabel sizeToFit];
        textlabel.center = CGPointMake(screen_Width/2.0, screen_Height/2.0);
        textlabel.userInteractionEnabled = YES;
        [imageV addSubview:textlabel];
        //拖拽
        UIPanGestureRecognizer *panLabel = [[UIPanGestureRecognizer alloc]initWithTarget:self action:@selector(tapLabel:)];
        [textlabel addGestureRecognizer:panLabel];
    //    //旋转
    //    UIRotationGestureRecognizer *rota = [[UIRotationGestureRecognizer alloc] initWithTarget:self action:@selector(rotation:)];
    //    [textlabel addGestureRecognizer:rota];
    //    //缩放
    //    UIPinchGestureRecognizer *pinch = [[UIPinchGestureRecognizer alloc] initWithTarget:self action:@selector(pinch:)];
    //    [textlabel addGestureRecognizer:pinch];
        
    //      [textlabel becomeFirstResponder];
    }
    

    //拖拽
    - (void)tapLabel:(UIPanGestureRecognizer *)panLabel
    {
        
        UILabel *textlabel = (UILabel *)[self.view viewWithTag:900];
        CGPoint point =  [panLabel  translationInView:textlabel];
        // NSLog(@"%f %f",point.x ,point.y);
        //改变中心点坐标(原来的中心点+偏移量=当前的中心点)
        
        panLabel.view.center = CGPointMake(panLabel.view. center.x+point.x, panLabel.view.center.y+point.y);
    
        
        //每次调用完之后,需要重置手势的偏移量,否则平移手势会自动累加偏移量
        //CGPointMake(0, 0)<==>CGPointZero
        [panLabel setTranslation:CGPointZero inView:textlabel];
        
    }


    好了 我们运行试试


    如果说看到了 弹出的输入框 那么就成功一半了。输入文字点击确认 图片上是不是多出了文字 拖动试试

    如果拖动没有反应

    接的设置一下imageV

        imageV.userInteractionEnabled=YES;


    我们前面讲了那么多,图片上添加了各种东西 那么最后怎么保存图片了?

    方法很简单 我们在 ViewController中添加一个按钮 当点击的时候 将修改过的图片生成 现实到一个新的imageview上

    添加一个ImnageView


    添加一个Button 添加点击事件

        imageV1 = [[UIImageView alloc]initWithFrame:CGRectMake(0, 0, screen_Width, screen_Height/2)];
        [self.view addSubview:imageV1];


    好了 我们就简单实现一下 更为复杂的功能我们下来再研究

        
        UIButton *saveImageBtn= [[UIButton alloc]initWithFrame:CGRectMake(screen_Width/2.0+60+10, 30, 120, 36)];
        [saveImageBtn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [saveImageBtn setTitle:@"保存" forState:UIControlStateNormal];
        [saveImageBtn addTarget:self action:@selector(saveImageAct:) forControlEvents:UIControlEventTouchUpInside];
        [self.view addSubview:saveImageBtn];
    - (void)saveImageAct:(id)sender{
        
        UIGraphicsBeginImageContextWithOptions(CGSizeMake(screen_Width, imageV.frame.size.height), YES, 1.0);
        [imageV.layer renderInContext:UIGraphicsGetCurrentContext()];
        UIImage *uiImage = UIGraphicsGetImageFromCurrentImageContext();
        
        UIGraphicsEndImageContext();
        
        imageV1.image=uiImage;
        
    }
    

    好了  我们试试 看 图片已经可以生成了

    代码我会上传到群空间 有兴趣可以去下载

    demo: 【60315图片上添加文字FingerLine.zip】


    苹果开发群 :414319235  欢迎加入,共同学习



    展开全文
  • 这种功能需求我们很常见,比如我们在CSDN上写文章时,文章标题与文章正文是分开的,我们可以预览已经写好的文章,只是本篇文中的文档编辑控件的需求更细一些,就是能够单独设置标题格式,同时还要求在点击打印预览...

          在用C#编写文本编辑控件时,遇到了这样的问题。就是要求该控件文本标题格式的设置与文本正文格式的设置分开。要求提供打印预览功能。这种功能需求我们很常见,比如我们在CSDN上写文章时,文章标题与文章正文是分开的,我们可以预览已经写好的文章,只是本篇文中的文档编辑控件的需求更细一些,就是能够单独设置标题格式,同时还要求在点击打印预览按钮时,能够看到全文效果,即要包括文章标题和正文,其中文章标题占一行并居中显示。控件UI如下图所示。

     控件UI

     

          我们给当前的富文本框对象取名为curRichTextBox,该对象包含的内容就是文章的正文。当点击“打印预览”按钮时,我们需要深度拷贝一个curRichTextBox原型,使curRichTextBox内容即文章正文不受打印预览的影响,这里相当于设计模式中的原型模式。

          由于打印预览时,富文本框的内容要包括标题和正文。那么我们新建一个RichTextBox对象,名为tempRtb。

         

     

          这样,就能够保留被插入文本的格式信息,达到打印预览整篇文章的效果,同时保证了curRichTextBox的内容也没有被改变。如果用tempRtb.Text = tempRtb.Text.insert( start , len )方法或tempRtb.AppendText(curRichTextBox.Rtf.ToString()),就不能保留被插入文本的格式信息,因为这种方法中插入的不含格式信息的字符串。

    展开全文
  • Add Text to Drawings向图形中添加文字 Text conveys important information in yourdrawing. Use text objects for title blocks, to label parts of the drawing, togive specifications, or to make annotations...

    Add Text to Drawings向图形中添加文字

    Text conveys important information in yourdrawing. Use text objects for title blocks, to label parts of the drawing, togive specifications, or to make annotations.

    图形中的文字可以表达重要信息。文字对象可以用于标题栏、标注图形部件、技术要求,或者注释等。

    AutoCAD provides various ways to createtext. For short, simple entries, use single line text. For longer entries withinternal formatting, use multiline text (MText). Although all entered text usesthe current text style, which establishes the default font and format settings,you can use several methods to customize the text appearance.

    AutoCAD提供了多种创建文字的方式。对短小简单的实体,可以使用单行文字。对于具有内部格式的较长的实体,可以使用多行文字(MText)。尽管所有键入的文字都使用规定了默认字体和格式的当前文字式样,我们仍可以用好几种方法来定制文字的外观。

    For more information about working withtext, see “Create Text” in theAutoCAD User's Guide.

    更多关于使用文字的内容,参见AutoCAD用户指南中的“创建文字”。

    Topics in this section本节主题:

    ·        Work with Text Styles使用文字样式

    ·        Use Single-Line Text (Text)使用单行文字

    ·        Use Multiline Text (MText)使用多行文字

    ·        Use Unicode Characters, Control Codes, and SpecialCharacters使用Unicode字符、控制码、特殊字符

    ·        Substitute Fonts替换字体

    ·        Check Spelling拼写检查

     

    1、Workwith Text Styles使用文字样式

    All text in an AutoCAD drawing has a styleassociated with it. When you enter text, AutoCAD uses the current text style,which sets the font, size, angle, orientation, and other text characteristics.You can use or modify the default style or create and load a new style. Onceyou've created a style, you can modify its attributes or delete it when you nolonger need it.

    AutoCAD图形中的所有文字都具有与之关联的样式。我们输入文字时,AutoCAD使用当前文字样式,该样式设置了文字的字体、大小、角度、方向,及其他文字特性。我们可以对默认样式进行修改,或创建并加载新样式。一旦创建了文字样式,我们就可以修改其属性,不再需要时可以将其删除。

    Topics in this section本小节内容:

    ·        Createand Modify Text Styles创建和修改文字样式

    ·        AssignFonts指定字体

    ·        UseTrueType Fonts使用TrueType字体

    ·        UseUnicode and Big Fonts使用Unicode字体和大字体

    ·        SetText Height设置文字高度

    ·        SetObliquing Angle设置文字倾角

    ·        SetText Generation Flag设置文字生成标志

     

    1.1、Createand Modify Text Styles 创建和修改文字样式

    New text inherits height, width factor,obliquing angle, and text generation properties from the current text style. Tocreate a text style, create a new instance of a TextStyleTableRecord object.Assign the new text style a name using the Name property. Then open the TextStyleTableobject for write and use theAdd method to create the new text style.

    新建文字从当前文字样式继承高度/宽度系数、倾斜角度、文字生成属性等。创建文字样式的步骤,首先新建一个TextStyleTableRecord对象的实例,用Name属性给新文字样式命名,然后以写方式打开TextStyleTable对象,用Add方法创建新文字样式。

    Style names can contain letters, numbers,and the special characters dollar sign ($), underscore (_), and hyphen (-).AutoCAD converts the characters to uppercase. If you do not enter a style name,the new style will not have a name.

    样式名可以包含字母、数字和美元符号($)、下划线(_)、连字符(-)等特殊字符。AutoCAD会将字符均转换成大写。要是不输入样式名,新样式将没有名字。

    You can modify an existing style bychanging the properties of the TextStyleTableRecord object. If you want to workwith the current text style, use theTextStyle property of the Database object which holds the object id of the current text style.

    我们可以通过修改TextStyleTableRecord对象的属性来修改现有样式。如果要使用当前文字样式,引用Database对象的TextStyle属性即可,该属性含有当前文字样式的ObjectId

    You can also update existing text of thatstyle type to reflect the changes. Use the following properties to modify aTextStyleTableRecord object:

    我们还可以更新现有文字以反映出对样式的修改。使用下列属性来修改TextStyleTableRecord对象:

    BigFontFileName

    Specifies the special shape definition file used for anon-ASCII character set.指定用于非ASCII字符集的特殊形定义文件;

    FileName

    Specifies the file associated with a font (characterstyle).指定与字体关联的文件;

    FlagBits

    Specifies backward text, upside-down text, or both.指定反向文字、颠倒文字,或两者;

    Font

    Specifies the typeface, bold, italic,character set, and pitch and family settings of the text style.指定字样、粗细、倾斜、字符集、间距,及文字样式的公共设置;

    IsVertical

    Specifies vertical or horizontal text.指定文字方向;

    ObliquingAngle

    Specifies the slant of the characters. 指定字符的倾斜角度;

    TextSize

    Specifies the character height. 指定字符高度;

    XScale

    Specifies the expansion or compression of the characters.指定字符的缩放比例;

    If you change an existing style's font ororientation, all text using that style is changed to use the new font ororientation. Changing text height, width factor, and oblique angle does notchange existing text but does change subsequently created text objects.

    如果修改了现有样式的字体或方向,使用该样式的所有文字都会更改为新的字体或方向。修改文字高/宽系数、倾角等不会更新现有文字,但会在随后创建的文字上体现所作的样式修改。

    NoteThe drawing must be regenerated to see any changes to theabove properties.

    注意:重新生成图形才会看到对上述属性所做的修改。

     

     

    1.2、AssignFonts 指定字体

    Fonts define the shapes of the textcharacters that make up each character set. A single font can be used by morethan one style. Use theFileName property to set the font file for thetext style. You can assign TrueType or AutoCAD-compiled SHX fonts to a textstyle.

    字体定义了构成每个字符集的字符形状。一个字体可以用于多个样式。给文字样式设置字体文件用FileName属性。我们可以给文字样式指定TrueType字体或AutoCAD编译字形字体。

    Set text fonts设置文字字体

    The following example gets the currentfont values using theFont property for the active text style andthen changes the typeface for the font to “PlayBill” . To see the effects ofchanging the typeface, add some multiline or single-line text to your currentdrawing before running the example. Note that, if you don't have the PlayBillfont on your system, you need to substitute a font you do have in order forthis example to work.

    下面的例子使用当前文字样式的Font属性获取当前的字体值,然后将字体的字样修改为“PlayBill”。想看看修改字样的效果,可在运行示例代码前往当前图形中添加一些多行文字或单行文字。注意如果你的系统没有PlayBill字体,需要替换一个别的字体以确保代码能正确运行。

    VB.NET

    ImportsAutodesk.AutoCAD.Runtime

    ImportsAutodesk.AutoCAD.ApplicationServices

    ImportsAutodesk.AutoCAD.DatabaseServices

     

    <CommandMethod("UpdateTextFont")>_

    Public SubUpdateTextFont()

      '' Get the current document and database

      Dim acDoc As Document =Application.DocumentManager.MdiActiveDocument

      Dim acCurDb As Database = acDoc.Database

     

      '' Start a transaction

      Using acTrans As Transaction =acCurDb.TransactionManager.StartTransaction()

     

          '' Open the current text style for write

          Dim acTextStyleTblRec AsTextStyleTableRecord

          acTextStyleTblRec =acTrans.GetObject(acCurDb.Textstyle, _

                                                OpenMode.ForWrite)

     

          '' Get the current font settings

          Dim acFont AsAutodesk.AutoCAD.GraphicsInterface.FontDescriptor

          acFont = acTextStyleTblRec.Font

     

          '' Update the text style's typeface with"PlayBill"

          Dim acNewFont AsAutodesk.AutoCAD.GraphicsInterface.FontDescriptor

          acNewFont = New  _

           Autodesk.AutoCAD.GraphicsInterface.FontDescriptor("PlayBill",_

                                                             acFont.Bold, _

                                                              acFont.Italic,_

                                                             acFont.CharacterSet, _

                                                             acFont.PitchAndFamily)

     

          acTextStyleTblRec.Font = acNewFont

     

          acDoc.Editor.Regen()

     

          '' Save the changes and dispose of thetransaction

          acTrans.Commit()

      End Using

    End Sub

    C#

    usingAutodesk.AutoCAD.Runtime;

    usingAutodesk.AutoCAD.ApplicationServices;

    usingAutodesk.AutoCAD.DatabaseServices;

    usingAutodesk.AutoCAD.GraphicsInterface;

     

    [CommandMethod("UpdateTextFont")]

    public static voidUpdateTextFont()

    {

      // Get the current document and database获取当前文档及数据库

      Document acDoc =Application.DocumentManager.MdiActiveDocument;

      Database acCurDb = acDoc.Database;

     

      // Start a transaction启动事务

      using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction())

      {

          // Open the current text style for write以写打开当前文字样式

          TextStyleTableRecord acTextStyleTblRec;

          acTextStyleTblRec =acTrans.GetObject(acCurDb.Textstyle,

                                               OpenMode.ForWrite) as TextStyleTableRecord;

     

          // Get the current font settings获取当前字体设置

          FontDescriptor acFont;

          acFont = acTextStyleTblRec.Font;

     

          // Update the text style's typeface with"PlayBill"更改字样为PlayBill

          FontDescriptor acNewFont;

          acNewFont = new FontDescriptor("PlayBill",

                                                             acFont.Bold,

                                                             acFont.Italic,

                                                             acFont.CharacterSet,

                                                             acFont.PitchAndFamily);

     

          acTextStyleTblRec.Font = acNewFont;

     

          acDoc.Editor.Regen();

     

          // Save the changes and dispose of thetransaction保存修改,关闭事务

          acTrans.Commit();

      }

    }

    VBA/ActiveX CodeReference

    Sub UpdateTextFont()

     

        MsgBox ("Look at the textnow...")

     

        Dim typeFace As String

        Dim SavetypeFace As String

        Dim Bold As Boolean

        Dim Italic As Boolean

        Dim charSet As Long

        Dim PitchandFamily As Long

     

        ' Get the current settings to fill in the

        ' default values for the SetFont method

        ThisDrawing.ActiveTextStyle.GetFonttypeFace, _

                     Bold, Italic, charSet,PitchandFamily

     

        ' Change the typeface for the font

        SavetypeFace = typeFace

        typeFace = "PlayBill"

        ThisDrawing.ActiveTextStyle.SetFonttypeFace, _

                     Bold, Italic, charSet,PitchandFamily

        ThisDrawing.Regen acActiveViewport

    End Sub

     

    1.3、UseTrueType Fonts 使用TrueType字体

    TrueType fonts always appear filled inyour drawing; however, when you plot, the TEXTFILL system variable controlswhether the fonts are filled. By default TEXTFILL is set to 1 to plot thefilled-in fonts. When you export a drawing to PostScript® format andprint it on a PostScript device, the font is plotted as designed.

    TrueType字体在图形中总是填充的,不过打印时系统变量TEXTFILL控制字体是否填充。默认情况下TEXTFILL变量置为 1,表示打印填充字体。当我们将图形导出为PostScript®格式并在PostScript®设备上打印时,打印出的字体就会如设计所愿。

    1.4、UseUnicode and Big Fonts 使用Unicode字体和大字体

    AutoCAD supports the Unicodecharacter-encoding standard. A Unicode font can contain 65,535 characters, withshapes for many languages. All of the AutoCAD SHX shape fonts that are shippedwith the product support Unicode fonts.

    AutoCAD支持Unicode字符编码标准。Unicode字体包含65535个字符,可以囊括许多语言的字形。随AutoCAD软件安装的所有AutoCAD SHX字形字体均支持Unicode字体。

    The text files for some alphabets containthousands of non-ASCII characters. To accommodate such text, AutoCAD supports aspecial type of shape definition known as a Big Font file. You can set a styleto use both regular and Big Font files. Specify normal fonts using the FileName property. Specify Big Fonts using theBigFontFileName property.

    有些语言的文本文件含有成千的非ASCII字符。为了顺应这些文字,AutoCAD支持一种称为大字体文件的特殊字形定义类型。我们在设置文字样式时,使用常规字体文件和大字体文件都行。指定常规字体使用FileName属性,指定大字体使用BigFontFileName属性。

    NoteFont file names cannot contain commas.

    注意:字体文件名不能含有逗点。

    AutoCAD allows you to specify an alternatefont to use when a specified font file cannot be located. Use the FONTALTsystem variable and theSetSystemVariable member method of the Application tochange the alternate font used.

    当指定的字体文件不能定位时,AutoCAD允许指定一个替换字体。使用系统变量FONTALT或用Application对象的SetSystemVariable成员方法来设置要使用的替换字体。

    Change font files改变字体文件

    The following example code changes the FileName and BigFontFileName properties. You need to replace the pathinformation listed in this example with path and file names appropriate foryour system.

    下列示例代码修改FileName属性和BigFontFileName属性。你需要将代码中的路径信息替换成你的系统里相应的路径和文件名。

    VB.NET

    Imports Autodesk.AutoCAD.Runtime

    ImportsAutodesk.AutoCAD.ApplicationServices

    ImportsAutodesk.AutoCAD.DatabaseServices

     

    <CommandMethod("ChangeFontFiles")>_

    Public SubChangeFontFiles()

      '' Get the current document and database

      Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument

      Dim acCurDb As Database = acDoc.Database

     

      '' Start a transaction

      Using acTrans As Transaction =acCurDb.TransactionManager.StartTransaction()

     

          '' Open the current text style for write

          Dim acTextStyleTblRec AsTextStyleTableRecord

          acTextStyleTblRec =acTrans.GetObject(acCurDb.Textstyle, _

                                               OpenMode.ForWrite)

     

          '' Change the font files used for bothBig and Regular fonts

          acTextStyleTblRec.BigFontFileName ="C:\AutoCAD\Fonts\bigfont.shx"

          acTextStyleTblRec.FileName ="C:\AutoCAD\Fonts\italic.shx"

     

          '' Save the changes and dispose of thetransaction

          acTrans.Commit()

      End Using

    End Sub

    C#

    usingAutodesk.AutoCAD.Runtime;

    using Autodesk.AutoCAD.ApplicationServices;

    usingAutodesk.AutoCAD.DatabaseServices;

     

    [CommandMethod("ChangeFontFiles")]

    public static voidChangeFontFiles()

    {

      // Get the current document and database

      Document acDoc =Application.DocumentManager.MdiActiveDocument;

      Database acCurDb = acDoc.Database;

     

      // Start a transaction

      using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction())

      {

          // Open the current text style for write

          TextStyleTableRecord acTextStyleTblRec;

          acTextStyleTblRec =acTrans.GetObject(acCurDb.Textstyle,

                                               OpenMode.ForWrite) as TextStyleTableRecord;

     

          // Change the font files used for bothBig and Regular fonts

          acTextStyleTblRec.BigFontFileName ="C:/AutoCAD/Fonts/bigfont.shx";

          acTextStyleTblRec.FileName ="C:/AutoCAD/Fonts/italic.shx";

     

          // Save the changes and dispose of thetransaction

          acTrans.Commit();

      }

    }

    VBA/ActiveX Code Reference

    Sub ChangeFontFiles()

        ThisDrawing.ActiveTextStyle.BigFontFile = _

                     "C:/AutoCAD/Fonts/bigfont.shx"

     

        ThisDrawing.ActiveTextStyle.fontFile = _

                     "C:/AutoCAD/Fonts/italic.shx"

    End Sub

     

    1.5、SetText Height设置文字高度

    Text height determines the size in drawingunits of the letters in the font you are using. The value usually representsthe size of the uppercase letters, with the exception of TrueType fonts.

    文字高度确定了所使用字体的字母大小,以图形单位计。该值通常表示大写字母的大小,但 TrueType字体除外。

    For TrueType fonts, the value specifiedfor text height might not represent the height of uppercase letters. The heightspecified represents the height of a capital letter plus an accent areareserved for accent marks and other marks used in non-English languages. Therelative portion of areas assigned to capital letters and accent characters isdetermined by the font designer at the time the font is designed, and,consequently, will vary from font to font.

    对于TrueType字体,文字高度值可能不表示大写字母的高度,而是大写字母的高度加上留给重音符号及用于非英语语言的其他标记的标音区域。留给大写字母和重音符号的区域的相对大小是由字体设计者在设计字体时确定的,因而会因不同的字体而异。

    In addition to the height of a capitalletter and the ascent area that make up the height specified by the user,TrueType fonts have a descent area for portions of characters that extend belowthe text insertion line. Examples of such characters are y, j, p, g, and q.

    指定的文字高度除了由大写字母高度和重音区域构成外,一部分TrueType字体字符还相对插入线存在一个下沉区域,这样的字符像yjpgq等。

    You specify the text height using the TextSize property of the text style or theHeight property of a text object. This propertyaccepts positive numbers only.

    设置文字高度用文字样式的TextSize属性或文字对象的Height属性。该属性只接受正数。

     

    1.6、SetObliquing Angle设置文字倾角

    The obliquing angle determines the forwardor backward slant of the text. The angle represents the offset from itsvertical axis (90 degrees). To set the obliquing angle, use theObliquingAngle property to change a text style or theOblique property of a text object. The obliquingangle must be provided in radians. A positive angle denotes a lean to theright, a negative value will have2*PI added to it to convert it to its positiveequivalent.

    文字倾角用来确定文字的前向或后向倾斜。该角度为相对垂直轴线(90度)的偏移。设置文字倾角使用文字样式的ObliquingAngle属性或文字对象的Oblique属性。倾角单位必须是弧度,角度为正数表示向右倾斜,负数角度会加上2*PI将其转换成相应的正数角度。

    Create oblique text创建倾斜文字

    This example creates a single-line textobject then slants it 45 degrees.

    本例创建一个单行文字对象,然后将它倾斜45度角。

    VB.NET

    ImportsAutodesk.AutoCAD.Runtime

    ImportsAutodesk.AutoCAD.ApplicationServices

    ImportsAutodesk.AutoCAD.DatabaseServices

    ImportsAutodesk.AutoCAD.Geometry

     

    <CommandMethod("ObliqueText")>_

    Public SubObliqueText()

      '' Get the current document and database

      Dim acDoc As Document =Application.DocumentManager.MdiActiveDocument

      Dim acCurDb As Database = acDoc.Database

     

      '' Start a transaction

      Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()

     

          '' Open the Block table for read

          Dim acBlkTbl As BlockTable

          acBlkTbl =acTrans.GetObject(acCurDb.BlockTableId, _

                                      OpenMode.ForRead)

     

          '' Open the Block table record Modelspace for write

          Dim acBlkTblRec As BlockTableRecord

          acBlkTblRec =acTrans.GetObject(acBlkTbl(BlockTableRecord.ModelSpace), _

                                         OpenMode.ForWrite)

     

          '' Create a single-line text object

          Dim acText As DBText = New DBText()

          acText.Position = New Point3d(3, 3, 0)

          acText.Height = 0.5

          acText.TextString = "Hello,World."

     

          '' Change the oblique angle of the textobject to 45 degrees(0.707 in radians)

          acText.Oblique = 0.707

     

          acBlkTblRec.AppendEntity(acText)

          acTrans.AddNewlyCreatedDBObject(acText,True)

     

          '' Save the changes and dispose of thetransaction

          acTrans.Commit()

      End Using

    End Sub

    C#

    usingAutodesk.AutoCAD.Runtime;

    using Autodesk.AutoCAD.ApplicationServices;

    usingAutodesk.AutoCAD.DatabaseServices;

    usingAutodesk.AutoCAD.Geometry;

     

    [CommandMethod("ObliqueText")]

    public static voidObliqueText()

    {

      // Get the current document and database获取当前文档及数据库

      Document acDoc = Application.DocumentManager.MdiActiveDocument;

      Database acCurDb = acDoc.Database;

     

      // Start a transaction启动事务

      using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction())

      {

          // Open the Block table for read以读打开Block

          BlockTable acBlkTbl;

          acBlkTbl =acTrans.GetObject(acCurDb.BlockTableId,

                                      OpenMode.ForRead) as BlockTable;

     

          // Open the Block table record Modelspace for write以写打开块表记录模型空间

          BlockTableRecord acBlkTblRec;

          acBlkTblRec =acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace],

                                         OpenMode.ForWrite) as BlockTableRecord;

     

          // Create a single-line text object创建一个单行文字对象

          DBText acText = new DBText();

          acText.Position = new Point3d(3, 3, 0);

          acText.Height = 0.5;

          acText.TextString = "Hello, World!";

     

          // Change the oblique angle of the textobject to 45 degrees(0.707 in radians)修改文字对象的倾角为45度(弧度值为0.707)

          acText.Oblique = 0.707;

     

          acBlkTblRec.AppendEntity(acText);

          acTrans.AddNewlyCreatedDBObject(acText,true);

     

          // Save the changes and dispose of thetransaction保存修改,关闭事务

          acTrans.Commit();

      }

    }

    VBA/ActiveX Code Reference

    Sub ObliqueText()

        Dim textObj As AcadText

        Dim textString As String

        Dim insertionPoint(0 To 2) As Double

        Dim height As Double

     

        ' Define the text object

        textString = "Hello, World."

        insertionPoint(0) = 3

        insertionPoint(1) = 3

        insertionPoint(2) = 0

        height = 0.5

     

        ' Create the text object in model space

        Set textObj = ThisDrawing.ModelSpace. _

                          AddText(textString,insertionPoint, height)

     

        ' Change the value of the ObliqueAngle

        ' to 45 degrees (.707 radians)

        textObj.ObliqueAngle = 0.707

        textObj.Update

    End Sub

     

    1.7、SetText Generation Flag设置文字生成标志

    The text generation flag specifies if textis displayed backwards or upside-down. Use theFlagBits property to define if a text stylecontrols the display of text to be displayed backwards or upside-down, or usetheIsMirroredInX andIsMirroredInY properties of a text object to control individuallycontrol a text object.

    文字生成标志用来表示文字是否反向显示或倒置显示。可以用文字样式的FlagBits属性定义文字样式是否控制文字按反向或倒置显示,或者用文字对象的IsMirroredInX属性和IsMirroredInY属性单独对某个文字对象进行控制。

    Set FlagBits to 2 if you want text to be displayedbackwards and 4 if it should be displayed upside-down. Use a value of 6 todisplay text both backwards and upside-down. If you are modifying a textobject, set IsMirroredInX toTRUE if you want the text to appear backwardsand setIsMirroredInY to TRUE if you want it to be displayed upside-down.

    如果要反向显示文字,设置FlagBits2;如果要倒置显示文字,设置FlagBits4FlagBits6表示同时反向和倒置显示文字。要修改一个文字对象时,将IsMirroredInX属性置为TRUE表示反向显示文字,IsMirroredInY属性置为TRUE表示倒置显示文字。

    Display text backwards反向显示文字

    The following example creates asingle-line text object, then sets it to be displayed backwards using theIsMirroredInX property.

    下面的代码先创建一个单行文字对象,然后使用IsMirroredInX属性将其设置为反向显示。

    VB.NET

    ImportsAutodesk.AutoCAD.Runtime

    ImportsAutodesk.AutoCAD.ApplicationServices

    ImportsAutodesk.AutoCAD.DatabaseServices

    ImportsAutodesk.AutoCAD.Geometry

     

    <CommandMethod("BackwardsText")>_

    Public SubBackwardsText()

      '' Get the current document and database

      Dim acDoc As Document =Application.DocumentManager.MdiActiveDocument

      Dim acCurDb As Database = acDoc.Database

     

      '' Start a transaction

      Using acTrans As Transaction =acCurDb.TransactionManager.StartTransaction()

     

          '' Open the Block table for read

          Dim acBlkTbl As BlockTable

          acBlkTbl =acTrans.GetObject(acCurDb.BlockTableId, _

                                       OpenMode.ForRead)

     

          '' Open the Block table record Modelspace for write

          Dim acBlkTblRec As BlockTableRecord

          acBlkTblRec =acTrans.GetObject(acBlkTbl(BlockTableRecord.ModelSpace), _

                                         OpenMode.ForWrite)

     

          '' Create a single-line text object

          Dim acText As DBText = New DBText()

          acText.Position = New Point3d(3, 3, 0)

          acText.Height = 0.5

          acText.TextString = "Hello,World."

     

          '' Display the text backwards

          acText.IsMirroredInX = True

     

          acBlkTblRec.AppendEntity(acText)

          acTrans.AddNewlyCreatedDBObject(acText,True)

     

          '' Save the changes and dispose of thetransaction

          acTrans.Commit()

      End Using

    End Sub

    C#

    using Autodesk.AutoCAD.Runtime;

    usingAutodesk.AutoCAD.ApplicationServices;

    usingAutodesk.AutoCAD.DatabaseServices;

    usingAutodesk.AutoCAD.Geometry;

     

    [CommandMethod("BackwardsText")]

    public static voidBackwardsText()

    {

      // Get the current document and database获取文档及数据库

      Document acDoc =Application.DocumentManager.MdiActiveDocument;

      Database acCurDb = acDoc.Database;

     

      // Start a transaction启动事务

      using (Transaction acTrans =acCurDb.TransactionManager.StartTransaction())

      {

          // Open the Block table for read以读的方式打开Block

          BlockTable acBlkTbl;

          acBlkTbl =acTrans.GetObject(acCurDb.BlockTableId,

                                      OpenMode.ForRead) as BlockTable;

     

          // Open the Block table record Modelspace for write以写的方式打开Block表的记录模型空间

          BlockTableRecord acBlkTblRec;

          acBlkTblRec =acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace],

                                         OpenMode.ForWrite) as BlockTableRecord;

     

          // Create a single-line text object创建一个单行文字对象

          DBText acText = new DBText();

          acText.Position = new Point3d(3, 3, 0);

          acText.Height = 0.5;

          acText.TextString = "Hello,World.";

     

          // Display the text backwards反向显示文字

          acText.IsMirroredInX = true;

     

          acBlkTblRec.AppendEntity(acText);

          acTrans.AddNewlyCreatedDBObject(acText,true);

     

          // Save the changes and dispose of thetransaction保存修改,关闭事务

          acTrans.Commit();

      }

    }

    VBA/ActiveX Code Reference

    Sub BackwardsText()

        Dim textObj As AcadText

        Dim textString As String

        Dim insertionPoint(0 To 2) As Double

        Dim height As Double

     

        'Create the text object

        textString = "Hello, World."

        insertionPoint(0) = 3

        insertionPoint(1) = 3

        insertionPoint(2) = 0

        height = 0.5

        Set textObj = ThisDrawing.ModelSpace. _

                         AddText(textString,insertionPoint, height)

     

        ' Change the value of theTextGenerationFlag

        textObj.TextGenerationFlag =acTextFlagBackward

        textObj.Update

    End Sub

     

     

    展开全文
  • 给了一大段文字,字体左边对齐,并且字体下方的虚线延伸到最右边对齐: 二、分析与解决 1. HTML部分 设定一个div,以便于后期把文字放入其中 <div class="line-content" id="cnnr-detail"> </div&...
  •  微信公众账号的高级功能包括“编辑模式”和“开发模式”,两种模式皆可使你所运营的...下面就为大家详细介绍一下微信公众平台开发者模式和编辑模式到底都有什么用:   编辑模式:  编辑模式指所有的公众号运
  • 首先是监管继续收紧,尤其是对资本充足率的要求将继续提升,无论是独立保险商还是综合集团都将感到更大的资金压力。利率和投资回报将继续保持较低水平(至少在成熟市场),使传统的寿险业务盈利能力受到限制。...
  • 最近公司业务需要客户在进行上传图片时,不满足要求的图片必须进行编辑后才能上传,满足条件的直接可以上传。 于是花了不少时间来研究这个,想必学习angualrjs的人都知道,angualr不直接对dom进行操作,而网上的...
  • 我就佩服我这个钻研精神,涉及到前端的东西,什么东西我都能给你扯上一段.在工作咸鱼之际,也绝不放过自己,一颗奔腾的心永远保持着对技术的热爱与追求. 中华文化上下五年前,二近代文明的信息化却不是从中国诞生的,我...
  • 平常就只能进行简单的截图然后手动提取图片中的文字了,这样操作下来是非常耽误时间的,大家要想快速的解决这个问题,我们必须要借助工具的帮助才行,那么什么软件可以提取扫描文件上的文字?针对这个问题,就让小编...
  • 网上没找到对应的办法,就自己对table2excel.js了修改,能够实现导出的表格边框,文字居中的要求,故写本文记录下。 基于jQuery table2excel - v1.1.1,大家可根据实际需求,将功能再升级。我现在也只是简单...
  • OCR文字识别

    千次阅读 2019-05-29 21:28:31
    OCR定义和起源 OCR (Optical Character ...即,针对印刷体字符,采用光学的方式将纸质文档中的文字转换成为黑白点阵的图像文件,并通过识别软件将图像中的文字转换成文本格式,供文字处理软件进一步编辑加工的...
  • 哪些好的 LaTeX 编辑器?

    万次阅读 2016-05-26 14:13:52
    知乎用户 ,喜欢排版 收录于 编辑推荐 •577 人赞同 ...2016-04-21:更新 Atom 编辑器中文自动换行,见 Atom 配置中的...维基百科上一篇对比,超过20种编辑器。 http://en.wikipedia.org/wiki/Comparis
  • CSDN博客的编辑器,你能不能更不好用一点?

    千次阅读 多人点赞 2015-06-18 17:40:24
    时不时在CSDN上写些博客,所以想任性的吐槽一下:CSDN博客的编辑器,你能不能更不好用一点?  现在博客两个编辑器:...另外,word里面粘贴过来的文字、格式变得一塌糊涂,时候回车一下,格式又变了。要么格式都
  • 百度首页 | 登录 新闻 网页 贴吧 知道 MP3 图片 百科 ... • 我想配置一台制作动画和视频编辑的电脑 • 请问视频编辑什么操作系统好 订阅该问题 电脑120 您贴心的电脑上门维修专家... 西安电脑120是主要开展家庭
  • seo软文编辑撰写经验

    千次阅读 2017-10-18 14:07:22
    从事SEO工作五年,对于很多SEO的技术也一些自己的经验和想法,在这里想和大家交流一下关于SEO中的主要一块——软文编写的经验和总结。汽车配件大全 www.qipeiying.com 这是我一个小站欢迎大家去提一些观点。 一、...
  • 手机拍照怎么识别文字

    千次阅读 2019-01-14 17:09:22
    可以说拍照识别文字在很多的场合都会用到吧,比如公司文件转录、纸质文档转为电子档,或者自己平时需要喜欢文章的截图转文字使用,那有什么简单的方法可以完成这个任务呢?其实手机拍照就可以识别文字,完成上述的...
  • 但是有些程序要求你不止是上述方式,你实际上必须编辑一个文本文件,以便让它们按你的意愿运行。 这些文本文件 – 毫不奇怪 – 被称为“配置文件”。如果你想从“用户”跳跃到“超级用户”,你需要知道如何调整它们...
  • line-height:文字在此行的高度中垂直居中 line-height: 2em;文字内容占2倍行高, em是参照当前文字的实际文字大小 需要设置字体大小,否则为默认高度 text-indent: 2em;——首行缩进两个字符 font-weight: ...
  • 开发一个“记事本”程序,要求能够实现文件的新建、打开、编辑、保存功能 (注意:资源的释放,可以使用OpenFileDialog和SaveFileDialog控件或者类) using System; using System.Collections.Generic; using ...
  • Java web在线编辑编辑视频

    千次阅读 2012-09-18 16:26:05
     在线编辑器是一种通过浏览器等来对文字、图片等内容进行在线编辑修改的工具。一般所指的在线编辑器是指HTML编辑器。  在线编辑器的用途  在线编辑器用来对网页等内容进行在线编辑修改,让用户在网站上获得...
  • Android opencv实现文字识别

    千次阅读 热门讨论 2017-12-14 14:26:40
    我们组leader就让我准备一下我的项目是主要参考的是tess_two Android图片文字识别,选拍照或者从本地相册选取照片,然后调用本地裁剪,最后开始识别,识别结果还可以,希望能对大家帮助。先上图再说: OCR文字...
  • 在iOS 6中,UITextView变得更加强大:可以继承 UITextView,开发者可以“免费”获得文本选择功能。...本文介绍通过继承UITextView定制选中文字后弹出的菜单,以及如何用代码选中UITextView中的一段文字
  • 文字识别总结(OCR)

    万次阅读 多人点赞 2018-11-15 10:26:31
    最近在读Tesseract相关文章,发现一篇总结的不错的文章,对刚入门或者准备入门的具有挺大参考价值,转自:http://www.xtecher.com/Xfeature/view?aid=5372 链接可能挂掉了,今天重新补充一下...二 ,印刷体文字识别...
  • PDF文档虽然保密性较高而且不易编辑,虽然实现了让别人无法修改的目的,但是我们时候还是不想让别人看到我们文档中的内容,这个时候,我们就要给PDF文档进行加密了。 一、PDF加密方法 1.内容加密 (1)我们可以...
  • 翻译为光学字符识别,指的是针对印刷体字符,采用光学的方式将纸质文档中的文字转换成为黑白点阵的图像文件,通过识别软件将图像中的文字转换成文本格式,供文字处理软件进一步编辑加工的技术(好吧,这是我查来的)...
  • 移动端富文本编辑器测评eleditor

    千次阅读 2019-09-03 18:22:41
    偶然发现这款,github评分不高(不高不高的道理),但是很符合我的要求。 官网地址:https://eleditor.fixel.cn/ 优点 1. 点击文本编辑 文本导入后,点击页面文本就可以对该段文本编辑。重点是文本并不是在编辑...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 99,147
精华内容 39,658
关键字:

做文字编辑有什么要求